unit DemoLoad;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, quickrpt, QrExtra;

type
  TForm1 = class(TForm)
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses ArtLoad;

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
  with TOpenDialog.Create(Application) do
    begin
      try
        Filter := 'Artist report|*.ARP;*.ATX';
        DefaultExt := 'ATX';
        if Execute then
          begin
            with TfrmArtLoader.Create(Application) do
              begin
                try
                  if LoadReport(Filename) and
                     assigned(Report) then
                    begin
                      ArtPrepareExpressions; { Initialize the Expressions for bands }
                      ShowParamDialog; { ask for parameters if there are }
                      OpenTables;
                      Report.Preview;
                      CloseTables;
                      ArtUnPrepareExpressions; { Unprepare the Expressions for bands }
                    end;
                finally
                  Free;
                end;
              end;
          end;
      finally
        Free;
      end;
    end;
end;

end.
